itpp::Packet_Generator Class Referenceabstract
Protocols Module

`#include <itpp/protocol/packet_generator.h>`

Inheritance diagram for itpp::Packet_Generator:

## Public Member Functions

| Packet_Generator (const int Packet_size=150, const unsigned long int Max_packets=0)
| ADD DOCUMENTATION HERE.
virtual | ~Packet_Generator ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Packet_size, const unsigned long int Max_packets)
| ADD DOCUMENTATION HERE.
int | get_packet_size ()
| ADD DOCUMENTATION HERE.
int | get_max_packets ()
| ADD DOCUMENTATION HERE.

## Public Attributes

Signal< Packet * > | output
| ADD DOCUMENTATION HERE.
Slot< Packet_Generator, bool > | start
| ADD DOCUMENTATION HERE.

## Protected Member Functions

virtual Ttype | delta_t ()=0
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 54 of file packet_generator.h.

The documentation for this class was generated from the following files:

- itpp/protocol/packet_generator.h
- itpp/protocol/packet_generator.cpp

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13